Package org.eclipse.emf.cdo.security.impl

# Class ResourceFilterImpl.RegexMatcher

java.lang.Object
org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.RegexMatcher

All Implemented Interfaces:
  `ResourceFilterImpl.Matcher`

Enclosing class:
  ResourceFilterImpl

protected static class ResourceFilterImpl.RegexMatcher extends Object implements ResourceFilterImpl.Matcher

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`RegexMatcher(String path)`

## Method Summary

Modifier and Type
Method
Description
`PatternStyle`
`getParentPatternStyle()`
`boolean`
`matches(String revisionPath)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RegexMatcher

public RegexMatcher(String path)

## Method Details

### matches

public boolean matches(String revisionPath)

Specified by:
  `matches` in interface `ResourceFilterImpl.Matcher`

### getParentPatternStyle

public PatternStyle getParentPatternStyle()

Specified by:
  `getParentPatternStyle` in interface `ResourceFilterImpl.Matcher`

### toString

public String toString()

Overrides:
  `toString` in class `Object`